OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_CompositeTextWithExtent Class Reference

`#include <StepVisual_CompositeTextWithExtent.hxx>`

Inheritance diagram for StepVisual_CompositeTextWithExtent:

[legend]

## Public Member Functions
Standard_EXPORT | StepVisual_CompositeTextWithExtent ()
| Returns a CompositeTextWithExtent .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepVisual_HArray1OfTextOrCharacter)&aCollectedText)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepVisual_HArray1OfTextOrCharacter)&aCollectedText, const Handle(StepVisual_PlanarExtent)&aExtent)
Standard_EXPORT void | SetExtent (const Handle(StepVisual_PlanarExtent)&aExtent)
Standard_EXPORT Handle_StepVisual_PlanarExtent | Extent () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepVisual_PlanarExtent | extent

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_CompositeTextWithExtent::StepVisual_CompositeTextWithExtent | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepVisual_PlanarExtent StepVisual_CompositeTextWithExtent::Extent | ( |  | ) | const

Standard_EXPORT const StepVisual_CompositeTextWithExtent::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepVisual_CompositeText.

virtual Standard_EXPORT void StepVisual_CompositeTextWithExtent::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepVisual_HArray1OfTextOrCharacter)& | aCollectedText,
|  | const Handle(StepVisual_PlanarExtent)& | aExtent
| ) | `[virtual]`

virtual Standard_EXPORT void StepVisual_CompositeTextWithExtent::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepVisual_HArray1OfTextOrCharacter)& | aCollectedText
| ) | `[virtual]`

| Reimplemented from StepVisual_CompositeText.

Standard_EXPORT void StepVisual_CompositeTextWithExtent::SetExtent | ( | const Handle(StepVisual_PlanarExtent)& | aExtent | ) |

## Field Documentation

Handle_StepVisual_PlanarExtent StepVisual_CompositeTextWithExtent::extent`[private]`

The documentation for this class was generated from the following file:

- StepVisual_CompositeTextWithExtent.hxx